// 604A
void setup() {
  Serial.begin(9600);// シリアル通信開始(通信速度:9600bps)
}

void loop() {
  float lux = sensing_lux(A0);
  Serial.println(lux);
  delay(10);
}

// 関数: sensing_lux
// 引数: port (A0, A1, A2, A3, A4, A5)
// 戻り値: lux (照度)
float sensing_lux(int port) {
  int data = analogRead(port);   // 1. AD変換結果
  float v = data * 5.0 / 1024.0; // 2. 電圧に変換
  float lux = 222 * v;           // 3. 照度に変換
  return lux;
}

